import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询列表
export function listOssInfo(query) {
  return request({
    url: '/ossinfo/list',
    method: 'get',
    params: query
  })
}

// 2. 查询详细信息
export function getOssInfo(businessId) {
  return request({
    url: '/ossinfo/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增
export function addOssInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/ossinfo/add',
    method: 'post',
    data: data
  })
}

// 4. 修改
export function updateOssInfo(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/ossinfo/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除
export function delOssInfo(businessId) {
  return request({
    url: '/ossinfo/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出
export function exportOssInfo(query) {
  return request({
    url: '/ossinfo/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
